ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

OptCoercion

Synopsis

- optCoercion :: CvSubst -> Coercion -> NormalCo
- checkAxInstCo :: Coercion -> Maybe CoAxBranch

# Documentation

optCoercion :: CvSubst -> Coercion -> NormalCo

optCoercion applies a substitution to a coercion, *and* optimises it to reduce its size

checkAxInstCo :: Coercion -> Maybe CoAxBranch

Check to make sure that an AxInstCo is internally consistent. Returns the conflicting branch, if it exists See Note [Conflict checking with AxiomInstCo]